Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355720 - crash: double-free with --ignore-lock
Summary: crash: double-free with --ignore-lock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo_c
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mlcoch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1415791 1420243
TreeView+ depends on / blocked
 
Reported: 2016-07-12 10:46 UTC by Pavel Raiskup
Modified: 2017-04-13 00:20 UTC (History)
3 users (show)

Fixed In Version: createrepo_c-0.10.0-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1415791 (view as bug list)
Environment:
Last Closed: 2017-04-13 00:20:21 UTC


Attachments (Terms of Use)
fedora-23-x86_64.tar.gz (deleted)
2016-07-12 10:46 UTC, Pavel Raiskup
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1331787 None ASSIGNED race condition on builder caused by createrepo_c? 2019-04-05 21:16:43 UTC

Internal Links: 1331787

Description Pavel Raiskup 2016-07-12 10:46:48 UTC
Created attachment 1178852 [details]
fedora-23-x86_64.tar.gz

Reproducer directory attached:

$ tar xf fedora-23-x86_64.tar.gz
$ craterepo_c --ignore-lock fedora-23-x86_64

Comment 1 Pavel Raiskup 2016-07-12 10:58:18 UTC
Probably src/createrepo_shared.c:
- tmp_repodata_dir = tmp;
+ tmp_repodata_dir = g_strdup(tmp);

Comment 2 Tomas Mlcoch 2016-08-26 09:30:40 UTC
Should be resolved in this commit:
https://github.com/rpm-software-management/createrepo_c/commit/3519f493ce51bac53d178f7ff9e5b84ca98a158a

Comment 4 Fedora End Of Life 2016-11-25 09:25:33 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Pavel Raiskup 2017-01-23 17:38:13 UTC
Can we please backport to F25?  Thanks.

Comment 6 Pavel Raiskup 2017-01-24 05:34:30 UTC
Proposing fix in private branch: private-praiskup-rhbz-1355720

Tomas, I'm OK to merge this f25+ and submit update if you gave me an ACK.

Comment 7 Pavel Raiskup 2017-02-10 11:26:25 UTC
No ACK so far; fixing F25 is not on my radar now (both copr instances
have it fixed), but I'll push to F26 very soon to avoid the same issue
again in future copr updates.

Please stop me now if you think this is a bad idea.

Comment 8 Tomas Mlcoch 2017-02-13 08:47:17 UTC
Looks good Pavel.

Comment 9 Pavel Raiskup 2017-02-13 09:11:21 UTC
Would you be OK if I submitted EPEL7 update, too?  There is initiative to
make Copr work on el7 machines so it would be nice to have it fixed now
when we are on it.

Comment 10 Tomas Mlcoch 2017-02-13 09:22:46 UTC
Ack. Feel free to update EPEL7 too.

Comment 11 Fedora Update System 2017-02-13 11:00:18 UTC
createrepo_c-0.10.0-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-94499a3eb7

Comment 12 Fedora Update System 2017-02-13 23:19:19 UTC
createrepo_c-0.10.0-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-94499a3eb7

Comment 13 Fedora Update System 2017-04-13 00:20:21 UTC
createrepo_c-0.10.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.